Gnome XML Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# xmlschemastypes

## Name

xmlschemastypes --

## Synopsis

    void        xmlSchemaInitTypes              (void);
    void        xmlSchemaCleanupTypes           (void);
    xmlSchemaTypePtr xmlSchemaGetPredefinedType (const xmlChar *name,
                                                 const xmlChar *ns);
    int         xmlSchemaValidatePredefinedType (xmlSchemaTypePtr type,
                                                 const xmlChar *value,
                                                 xmlSchemaValPtr *val);
    int         xmlSchemaValPredefTypeNode      (xmlSchemaTypePtr type,
                                                 const xmlChar *value,
                                                 xmlSchemaValPtr *val,
                                                 xmlNodePtr node);
    int         xmlSchemaValidateFacet          (xmlSchemaTypePtr base,
                                                 xmlSchemaFacetPtr facet,
                                                 const xmlChar *value,
                                                 xmlSchemaValPtr val);
    void        xmlSchemaFreeValue              (xmlSchemaValPtr val);
    xmlSchemaFacetPtr xmlSchemaNewFacet         (void);
    int         xmlSchemaCheckFacet             (xmlSchemaFacetPtr facet,
                                                 xmlSchemaTypePtr typeDecl,
                                                 xmlSchemaParserCtxtPtr ctxt,
                                                 const xmlChar *name);
    void        xmlSchemaFreeFacet              (xmlSchemaFacetPtr facet);
    int         xmlSchemaCompareValues          (xmlSchemaValPtr x,
                                                 xmlSchemaValPtr y);

## Description

## Details

### xmlSchemaInitTypes ()

    void        xmlSchemaInitTypes              (void);

### xmlSchemaCleanupTypes ()

    void        xmlSchemaCleanupTypes           (void);

Cleanup the default XML Schemas type library

### xmlSchemaGetPredefinedType ()

    xmlSchemaTypePtr xmlSchemaGetPredefinedType (const xmlChar *name,
                                                 const xmlChar *ns);

Lookup a type in the default XML Schemas type library

`name` : |
`ns` : |
Returns : |

### xmlSchemaValidatePredefinedType ()

    int         xmlSchemaValidatePredefinedType (xmlSchemaTypePtr type,
                                                 const xmlChar *value,
                                                 xmlSchemaValPtr *val);

Check that a value conforms to the lexical space of the predefined type. if true a value is computed and returned in `val`.

`type` : |
`value` : |
`val` : |
Returns : |

### xmlSchemaValPredefTypeNode ()

    int         xmlSchemaValPredefTypeNode      (xmlSchemaTypePtr type,
                                                 const xmlChar *value,
                                                 xmlSchemaValPtr *val,
                                                 xmlNodePtr node);

Check that a value conforms to the lexical space of the predefined type. if true a value is computed and returned in `val`.

`type` : |
`value` : |
`val` : |
`node` : |
Returns : |

### xmlSchemaValidateFacet ()

    int         xmlSchemaValidateFacet          (xmlSchemaTypePtr base,
                                                 xmlSchemaFacetPtr facet,
                                                 const xmlChar *value,
                                                 xmlSchemaValPtr val);

Check a value against a facet condition

`base` : |
`facet` : |
`value` : |
`val` : |
Returns : |

### xmlSchemaFreeValue ()

    void        xmlSchemaFreeValue              (xmlSchemaValPtr val);

Cleanup the default XML Schemas type library

`val` : |

### xmlSchemaNewFacet ()

    xmlSchemaFacetPtr xmlSchemaNewFacet         (void);

Allocate a new Facet structure.

Returns : |

### xmlSchemaCheckFacet ()

    int         xmlSchemaCheckFacet             (xmlSchemaFacetPtr facet,
                                                 xmlSchemaTypePtr typeDecl,
                                                 xmlSchemaParserCtxtPtr ctxt,
                                                 const xmlChar *name);

Checks the default values types, especially for facets

`facet` : |
`typeDecl` : |
`ctxt` : |
`name` : |
Returns : |

### xmlSchemaFreeFacet ()

    void        xmlSchemaFreeFacet              (xmlSchemaFacetPtr facet);

Deallocate a Schema Facet structure.

`facet` : |

### xmlSchemaCompareValues ()

    int         xmlSchemaCompareValues          (xmlSchemaValPtr x,
                                                 xmlSchemaValPtr y);

Compare 2 values

`x` : |
`y` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
xmlschemas | schemasInternals